function love.load()
	circle = {
			x = love.graphics.getWidth() / 2,
			y = love.graphics.getHeight() / 2,
			radius = 32,
			mouse_over = false
		}
end

function love.update(dt)
	if math.dist(love.mouse.getX(), love.mouse.getY(), circle.x, circle.y) < circle.radius then
		circle.mouse_over = true
	else
		circle.mouse_over = false
	end
end

function love.draw()
	if circle.mouse_over then
		love.graphics.setColor(180, 0, 0)
	else
		love.graphics.setColor(180, 180, 180)
	end
	love.graphics.circle("fill", circle.x, circle.y, circle.radius)
end

function math.dist(x1,y1, x2,y2) 
	return ((x2-x1)^2+(y2-y1)^2)^0.5 
end

